#
# spec file for package cwdaemon
#

Name:           cwdaemon
Version:        0.10.2
Release:        1.130
License:        GPL-2.0
Summary:        Morse daemon for the parallel or serial port
Url:            http://sourceforge.net/projects/cwdaemon/files/
Group:          Productivity/Hamradio/Other
Source:         %{name}-%{version}.tar.gz
Patch0:         no_example.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

BuildRequires:  pkgconfig
BuildRequires:  unixcw-devel >= 3.3.1

%description
Cwdaemon is a small daemon which uses the pc parallel or serial port 
and a simple transistor switch to output morse code to a transmitter
from a text message sent to it via the udp internet protocol.

%package examples 
Summary:        Cwdaemon examples
Group:          Development/Libraries/Other
BuildArch:      noarch
Requires:       %{name} = %{version}

%description examples
In this package are three examples of how to interface cwdaemon.
You can treat them as hints about how to write an application interfacing
cwdaemon.

%prep
%setup -q
%patch0 -p1

%build
%configure
make %{?_smp_mflags}

%install
%make_install

%files
%defattr(-,root,root)
%doc COPYING ChangeLog NEWS
%defattr(-,root,root)
%doc ChangeLog
%{_sbindir}/cwdaemon
%{_mandir}/man8/cwdaemon.8.gz
%dir %{_datadir}/cwdaemon/
%{_datadir}/cwdaemon/*.jpg
%{_datadir}/cwdaemon/*.ps
%{_datadir}/cwdaemon/cwsetup.sh
%{_datadir}/cwdaemon/cwdaemon.png

%files examples
%defattr(-,root,root)
%{_datadir}/cwdaemon/Makefile.*
%{_datadir}/cwdaemon/example.*
%{_datadir}/cwdaemon/README

%changelog
* Thu Sep 22 2016 dl8fcl@darc.de
- disable build of examples
* Mon Nov 16 2015 dl8fcl@t-online.de
- update to version 0.10.2
* Mon Aug 18 2014 dl8fcl@darc.de
- update to version 0.10.1
* Mon Jan  6 2014 dl8fcl@darc.de
- BuildRequires updated to unixcw-devel >= 3.2.0
* Mon Sep 23 2013 dl8fcl@darc.de
- update to version 0.9.7
* Sat Oct  4 2008 dl8fcl@darc.de
- updated for openSUSE_Factory
  * Sat Jan 18 2003 Joop Stakenborg
- Initial spec file
